// Code generated by sqlc. DO NOT EDIT.
// versions:
//   sqlc v1.25.0

package db

import (
	"database/sql"
	"time"
)

type AccountEntries struct {
	ID        int64         `json:"id"`
	AccountID int64         `json:"account_id"`
	Amount    sql.NullInt64 `json:"amount"`
	CreatedAt sql.NullTime  `json:"created_at"`
}

type AccountTransfers struct {
	ID            int64     `json:"id"`
	FromAccountID int64     `json:"from_account_id"`
	ToAccountID   int64     `json:"to_account_id"`
	Amount        int64     `json:"amount"`
	CreatedAt     time.Time `json:"created_at"`
}

// customer billing account
type Accounts struct {
	ID        int64     `json:"id"`
	Owner     string    `json:"owner"`
	Balance   int64     `json:"balance"`
	Currency  string    `json:"currency"`
	CreatedAt time.Time `json:"created_at"`
}

type Appointments struct {
	ID        int64     `json:"id"`
	Title     string    `json:"title"`
	Schedule  time.Time `json:"schedule"`
	Status    string    `json:"status"`
	UpdatedAt time.Time `json:"updated_at"`
	PatientID int64     `json:"patient_id"`
}

type Contacts struct {
	ID      int64          `json:"id"`
	Email   string         `json:"email"`
	Phone   int64          `json:"phone"`
	Street  sql.NullString `json:"street"`
	Postbox string         `json:"postbox"`
}

// billable users
type Customers struct {
	ID        int64  `json:"id"`
	Name      string `json:"name"`
	PatientID int64  `json:"patient_id"`
	UserID    int64  `json:"user_id"`
	AccountID int64  `json:"account_id"`
}

// medicalinsurance company
type Insurances struct {
	ID        int64  `json:"id"`
	Name      string `json:"name"`
	Code      string `json:"code"`
	PatientID int64  `json:"patient_id"`
}

type PatientRecords struct {
	ID        int64     `json:"id"`
	Title     string    `json:"title"`
	CreatedAt time.Time `json:"created_at"`
	Anamnesis string    `json:"anamnesis"`
	PatientID int64     `json:"patient_id"`
}

type Patients struct {
	ID          int64          `json:"id"`
	Code        string         `json:"code"`
	Name        string         `json:"name"`
	Gender      sql.NullString `json:"gender"`
	Birthday    time.Time      `json:"birthday"`
	Email       sql.NullString `json:"email"`
	Phone       string         `json:"phone"`
	CountryCode int32          `json:"country_code"`
}

// staff members
type Personnels struct {
	ID         int64  `json:"id"`
	Name       string `json:"name"`
	Email      string `json:"email"`
	Profession string `json:"profession"`
	Department string `json:"department"`
	ServiceID  int64  `json:"service_id"`
	UserID     int64  `json:"user_id"`
}

type ServiceItems struct {
	ID    int64         `json:"id"`
	Name  string        `json:"name"`
	Code  string        `json:"code"`
	Price sql.NullInt64 `json:"price"`
}

type Services struct {
	ID            int64     `json:"id"`
	Title         string    `json:"title"`
	Detail        string    `json:"detail"`
	CreatedAt     time.Time `json:"created_at"`
	ServiceItemID int64     `json:"service_item_id"`
	AppointmentID int64     `json:"appointment_id"`
}

// system users
type Users struct {
	ID        int64          `json:"id"`
	Name      string         `json:"name"`
	Login     string         `json:"login"`
	Password  sql.NullString `json:"password"`
	Status    sql.NullBool   `json:"status"`
	ContactID int64          `json:"contact_id"`
}
